%bcond_without syslua

Name:		freeciv
Version:	3.2.0
Release:	%mkrel 1
Summary:	CIVilization clone
License:	GPLv2+
Group:		Games/Strategy
URL:		https://www.freeciv.org/
Source0:	https://files.freeciv.org/stable/%{name}-%{version}.tar.xz
Source1:	freeciv.server.wrapper

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpq) >= 15
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(mariadb)
BuildRequires:	pkgconfig(MagickWand)
BuildRequires:	pkgconfig(SDL2_gfx)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(odbc)
%if %{with syslua}
BuildRequires:	pkgconfig(lua) >= 5.4
%endif
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(readline)
%if ! %{with syslua}
Provides:	bundled(lua) = 5.4.6
%endif

%description
Freeciv is a multiplayer strategy game, released under the GNU General
Public License. It is generally comparable with Civilization II(r),
published by Microprose(r).

Default configuration uses the Civilization II(r) style Isometric view. If
you prefer classic Civilization(r) 2-d view, invoke the client with
"civclient --tiles trident".

%package	data
Group:		Games/Strategy
Summary:	FREE CIVilization clone - data files
Requires:	%{name}-server >= %{version}
BuildArch:	noarch

%description	data
Freeciv is a multiplayer strategy game, released under the GNU General
Public License. It is generally comparable with Civilization II(r),
published by Microprose(r).

Default configuration uses the Civilization II(r) style Isometric view. If
you prefer classic Civilization(r) 2-d view, invoke the client with
"civclient --tiles trident".

%package        client
Group:          Games/Strategy
Summary:        FREE CIVilization clone - client
Provides:	%{name} = %{version}-%{release}
Requires:	%{name}-data >= %{version}
Requires:	%{name}-server = %{version}

%description    client
This is the graphical client for freeciv.

%package        server
Group:          Games/Strategy
Summary:        FREE CIVilization clone - server
Provides:	%{name} = %{version}-%{release}
Requires:	%{name}-data >= %{version}

%description    server
This is the server for freeciv.

%prep
%autosetup -p1

%build
export MOCCMD="%{_qt6_libexecdir}/moc"
%configure \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir} \
    --localedir=%{_datadir}/locale \
    --enable-client=gtk3.22,gtk4,qt,sdl2 \
    --with-qtver=qt6 \
    --with-qt6-includes=%{_qt6_includedir} \
    --enable-ipv6=yes \
    --enable-sys-lua=%{?with_syslua:yes}%{!?with_syslua:no} \
    --with-libbz2 \
    --with-liblzma \
    --with-libzstd \
    --enable-fcdb=all \
    --disable-static
%make_build

%install
%make_install

# wrapper
mv %{buildroot}%{_gamesbindir}/freeciv-server %{buildroot}%{_gamesbindir}/civserver.real
install -m 755 %{SOURCE1} %{buildroot}%{_gamesbindir}/freeciv-server

# fix icons locations
mv %{buildroot}%{_gamesdatadir}/icons %{buildroot}%{_datadir}/icons

%find_lang %{name}-core
%find_lang %{name}-nations
%find_lang %{name}-ruledit


#remove unneeded
rm -f %{buildroot}%{_libdir}/{*.la,*.a}
# we don't provide those clients
rm -rf %{buildroot}%{_mandir}/man6/%{name}-{gtk2,gtk3,xaw}.6*
rm -rf %{buildroot}%{_mandir}/man6/%{name}-mp-{gtk2}.6*


%files -f %{name}-core.lang data -f %{name}-nations.lang -f %{name}-ruledit.lang
%doc AUTHORS doc/BUGS doc/HOWTOPLAY NEWS doc/README doc/README.AI doc/README.graphics doc/README.rulesets doc/README.sound doc/HACKING
%{_gamesdatadir}/%{name}

%files client
%{_gamesbindir}/%{name}-gtk3.22
%{_gamesbindir}/%{name}-gtk4
%{_gamesbindir}/%{name}-qt
%{_gamesbindir}/%{name}-ruledit
%{_gamesbindir}/%{name}-sdl2
%{_gamesbindir}/%{name}-manual
%{_gamesbindir}/%{name}-ruleup
%doc %{_docdir}/%{name}
%{_mandir}/man6/%{name}*.6*
%{_datadir}/applications/org.%{name}.gtk322.desktop
%{_datadir}/applications/org.%{name}.qt.desktop
%{_datadir}/applications/org.%{name}.ruledit.desktop
%{_datadir}/applications/org.%{name}.sdl2.desktop
%{_datadir}/applications/org.%{name}.gtk4.desktop
%{_datadir}/pixmaps/%{name}-client.png
%{_iconsdir}/hicolor/*/apps/%{name}-client.png
%{_iconsdir}/hicolor/*/apps/%{name}-modpack.png
%{_iconsdir}/hicolor/*/apps/%{name}-ruledit.png
%{_datadir}/pixmaps/%{name}-modpack.png
%{_datadir}/pixmaps/%{name}-ruledit.png
%{_metainfodir}/org.%{name}.gtk322.metainfo.xml
%{_metainfodir}/org.%{name}.gtk4.metainfo.xml
%{_metainfodir}/org.%{name}.qt.metainfo.xml
%{_metainfodir}/org.%{name}.ruledit.metainfo.xml
%{_metainfodir}/org.%{name}.sdl2.metainfo.xml
%{_sysconfdir}/%{name}/database.lua

%files server
%{_gamesbindir}/civserver.real
%{_gamesbindir}/%{name}-server
%{_mandir}/man6/%{name}-server.6*
%{_datadir}/applications/org.%{name}.server.desktop
%{_iconsdir}/hicolor/*/apps/%{name}-server.png
%{_metainfodir}/org.%{name}.server.metainfo.xml


%changelog
* Sat Jul 19 2025 daviddavid <daviddavid> 3.2.0-1.mga10
+ Revision: 2257471
- new version: 3.2.0

* Thu May 15 2025 daviddavid <daviddavid> 3.1.5-1.mga10
+ Revision: 2183584
- new version: 3.1.5

* Sun Jan 12 2025 wally <wally> 3.1.4-2.mga10
+ Revision: 2138354
- rebuild for icu 76.1

* Fri Jan 03 2025 daviddavid <daviddavid> 3.1.4-1.mga10
+ Revision: 2135183
- new version: 3.1.4

* Fri Oct 11 2024 daviddavid <daviddavid> 3.1.3-1.mga10
+ Revision: 2105026
- new version: 3.1.3

* Mon Jul 08 2024 daviddavid <daviddavid> 3.1.2-1.mga10
+ Revision: 2080318
- new version: 3.1.2

* Thu May 02 2024 daviddavid <daviddavid> 3.1.1-1.mga10
+ Revision: 2061899
- new version: 3.1.1

* Wed Mar 06 2024 daviddavid <daviddavid> 3.1.0-1.mga10
+ Revision: 2047917
- new version: 3.1.0
- switch to Qt6
- use system lua, now lua >= 5.4 is supported
- enable GTK4 client
- enable odbc, mariadb and postgres database support

* Wed Feb 14 2024 daviddavid <daviddavid> 3.0.10-1.mga10
+ Revision: 2041258
- new version: 3.0.10

* Fri Dec 01 2023 daviddavid <daviddavid> 3.0.9-1.mga10
+ Revision: 2011994
- new version: 3.0.9

* Wed Oct 11 2023 daviddavid <daviddavid> 3.0.8-2.mga10
+ Revision: 1994340
- rebuild for icu73

* Fri Sep 01 2023 daviddavid <daviddavid> 3.0.8-1.mga10
+ Revision: 1983311
- new version: 3.0.8

* Fri Apr 21 2023 daviddavid <daviddavid> 3.0.7-1.mga9
+ Revision: 1953822
- new version: 3.0.7 (mga#31826)

* Mon Feb 27 2023 daviddavid <daviddavid> 3.0.6-1.mga9
+ Revision: 1945628
- new version: 3.0.6 (mga#31604)

* Sat Jan 07 2023 squidf <squidf> 3.0.5-2.mga9
+ Revision: 1931115
- Mass rebuild for icu 72.1

* Fri Dec 30 2022 daviddavid <daviddavid> 3.0.5-1.mga9
+ Revision: 1928211
- new version: 3.0.5

* Tue Aug 23 2022 ns80 <ns80> 3.0.3-1.mga9
+ Revision: 1879556
- new version 3.0.3

* Sun Apr 03 2022 umeabot <umeabot> 2.6.4-2.mga9
+ Revision: 1842401
- Mageia 9 Mass Rebuild

* Sun Apr 04 2021 wally <wally> 2.6.4-1.mga9
+ Revision: 1713297
- new version 2.6.4
- build with bundled lua 5.3.6 as system lua 5.4 isn't supported yet

* Sat Jan 02 2021 joequant <joequant> 2.6.3-1.mga8
+ Revision: 1668151
- update to 2.6.3

* Wed Dec 16 2020 umeabot <umeabot> 2.6.2.1-2.mga8
+ Revision: 1658452
- Rebuild for new Qt5

* Sun Dec 06 2020 akien <akien> 2.6.2.1-1.mga8
+ Revision: 1654035
- Version 2.6.2.1

* Sun Jul 26 2020 daviddavid <daviddavid> 2.6.2-3.mga8
+ Revision: 1609079
- add upstream patch to fix build with Qt 5.15

* Wed Feb 19 2020 umeabot <umeabot> 2.6.2-2.mga8
+ Revision: 1543013
- Mageia 8 Mass Rebuild

* Mon Feb 17 2020 daviddavid <daviddavid> 2.6.2-1.mga8
+ Revision: 1536940
- new version 2.6.2
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 09 2020 zezinho <zezinho> 2.6.1-1.mga8
+ Revision: 1477427
- new version 2.6.1

* Sat Jan 04 2020 luigiwalser <luigiwalser> 2.6.0-6.mga8
+ Revision: 1475944
- rebuild for readline

* Wed Aug 21 2019 daviddavid <daviddavid> 2.6.0-5.mga8
+ Revision: 1430722
- fix for new Qt5 includedir path

* Sat Mar 30 2019 umeabot <umeabot> 2.6.0-4.mga7
+ Revision: 1381782
- Qt5 Rebuild

* Wed Oct 03 2018 zezinho <zezinho> 2.6.0-3.mga7
+ Revision: 1317179
- enable Qt5 client and rules editor

* Tue Oct 02 2018 zezinho <zezinho> 2.6.0-2.mga7
+ Revision: 1314589
- enable SDL2 client

* Tue Oct 02 2018 zezinho <zezinho> 2.6.0-1.mga7
+ Revision: 1314576
- new version 2.6.0 with gtk3.22 client

* Sun Sep 23 2018 umeabot <umeabot> 2.5.11-2.mga7
+ Revision: 1297763
- Mageia 7 Mass Rebuild

* Wed Apr 04 2018 zezinho <zezinho> 2.5.11-1.mga7
+ Revision: 1215300
- new version 2.5.11

* Tue Jan 02 2018 wally <wally> 2.5.9-2.mga7
+ Revision: 1189427
- rebuild for new readline

* Tue Sep 19 2017 tv <tv> 2.5.9-1.mga7
+ Revision: 1155417
- switch back to lua5.2
+ zezinho <zezinho>
- fix rpm macros by jackal
- new version

* Sat May 20 2017 zezinho <zezinho> 2.5.7-1.mga6
+ Revision: 1103498
- new bugfix version 2.5.7

* Mon Dec 05 2016 akien <akien> 2.5.6-1.mga6
+ Revision: 1072671
- Version 2.5.6

* Sat Sep 24 2016 zezinho <zezinho> 2.5.5-1.mga6
+ Revision: 1055661
- new version 2.5.5

* Thu May 26 2016 akien <akien> 2.5.4-1.mga6
+ Revision: 1018635
- Version 2.5.4

* Sun Mar 06 2016 zezinho <zezinho> 2.5.3-1.mga6
+ Revision: 986831
- new version

* Fri Jan 22 2016 zezinho <zezinho> 2.5.2-1.mga6
+ Revision: 926580
- new version

* Wed Sep 09 2015 zezinho <zezinho> 2.5.1-1.mga6
+ Revision: 874701
- new version 2.5.1 - disable ggz as it is dead

* Tue Jan 13 2015 akien <akien> 2.4.4-2.mga5
+ Revision: 810513
- Remove man pages of clients we do not provide

* Tue Jan 13 2015 akien <akien> 2.4.4-1.mga5
+ Revision: 810359
- Build against system lua5.1
- Version 2.4.4

* Wed Oct 15 2014 umeabot <umeabot> 2.4.3-3.mga5
+ Revision: 742672
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.3-2.mga5
+ Revision: 679327
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 zezinho <zezinho> 2.4.3-1.mga5
+ Revision: 667319
- new bugfix version 2.4.3

* Wed Mar 12 2014 dams <dams> 2.4.2-2.mga5
+ Revision: 602668
- new version 2.4.2

* Wed Dec 11 2013 zezinho <zezinho> 2.4.1-1.mga4
+ Revision: 556340
- new version 2.4.1

* Sat Oct 19 2013 umeabot <umeabot> 2.4.0-2.mga4
+ Revision: 535077
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 zezinho <zezinho> 2.4.0-1.mga4
+ Revision: 480973
- add curl to BR
- new version 2.4.0

* Wed Mar 13 2013 zezinho <zezinho> 2.3.4-1.mga3
+ Revision: 402344
- new bugfix version

* Fri Jan 11 2013 umeabot <umeabot> 2.3.3-2.mga3
+ Revision: 350817
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 zezinho <zezinho> 2.3.3-1.mga3
+ Revision: 335639
- man page added
- new version

* Tue Jun 12 2012 wally <wally> 2.3.2-2.mga3
+ Revision: 260112
- drop 'external' stdsounds as it's included by default in Freeciv 2.x
- clean .spec

* Tue May 29 2012 zezinho <zezinho> 2.3.2-1.mga3
+ Revision: 249479
- new version

* Sat Dec 03 2011 zezinho <zezinho> 2.3.1-1.mga2
+ Revision: 175705
- added freeciv-modpack desktop shortcut and icons
- new version

* Thu Sep 22 2011 zezinho <zezinho> 2.3.0-1.mga2
+ Revision: 146875
- new version 2.3

* Wed Mar 09 2011 eandry <eandry> 2.2.5-1.mga1
+ Revision: 66942
- New version 2.2.5
- enable ipv6

* Sun Feb 20 2011 eandry <eandry> 2.2.4-1.mga1
+ Revision: 54813
- New version 2.2.4
- imported package freeciv


* Tue Oct 12 2010 Funda Wang <fwang@mandriva.org> 2.2.3-3mdv2011.0
+ Revision: 585065
- obsoletes old packages

* Wed Sep 29 2010 Götz Waschk <waschk@mandriva.org> 2.2.3-2mdv2011.0
+ Revision: 582085
- make the data package noarch, not the client

* Tue Sep 28 2010 Samuel Verschelde <stormi@mandriva.org> 2.2.3-1mdv2011.0
+ Revision: 581899
- update to new version 2.2.3
- really fix source url
- fix URL

* Tue Aug 31 2010 Thierry Vignaud <tv@mandriva.org> 2.2.2-2mdv2011.0
+ Revision: 574907
- let the data subpackage be noarch

* Sun Aug 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.2-1mdv2011.0
+ Revision: 567753
- update to new version 2.2.2

* Thu Mar 18 2010 Emmanuel Andry <eandry@mandriva.org> 2.2.0-3mdv2010.1
+ Revision: 525050
- readd wrongly removed ggz game info scripts
- Requires (post and preun) ggz-client-libs

* Tue Mar 16 2010 Emmanuel Andry <eandry@mandriva.org> 2.2.0-2mdv2010.1
+ Revision: 522387
- drop ggz macros, they cause weird build issues. Use fixed paths instead

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - drop backwards compatible scriptlets for ancient releases
    - don't define name, version & release on top of spec
    - fix broken ggz macros resulting in files ending up in / (fixes #58123)

* Sat Feb 27 2010 Emmanuel Andry <eandry@mandriva.org> 2.2.0-1mdv2010.1
+ Revision: 512338
- New version 2.2.0
- use proper ggz components packaging

* Mon Feb 01 2010 Emmanuel Andry <eandry@mandriva.org> 2.1.11-1mdv2010.1
+ Revision: 499231
- New version 2.1.11

* Sat Nov 28 2009 Frederik Himpe <fhimpe@mandriva.org> 2.1.10-1mdv2010.1
+ Revision: 471003
- update to new version 2.1.10

* Sun May 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.9-1mdv2010.0
+ Revision: 379214
- new version

* Mon Mar 09 2009 Emmanuel Andry <eandry@mandriva.org> 2.1.8-4mdv2009.1
+ Revision: 353337
- fix locale path (#46043)

* Wed Feb 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.8-3mdv2009.1
+ Revision: 344752
- rebuild against new readline
- keep bash completion in its own package

* Sun Dec 14 2008 Zombie Ryushu <ryushu@mandriva.org> 2.1.8-1mdv2009.1
+ Revision: 314373
- New Version 2.1.8
- Version bump to 2.1.8

* Thu Aug 28 2008 Emmanuel Andry <eandry@mandriva.org> 2.1.6-1mdv2009.0
+ Revision: 277057
- New version

* Sun Jun 29 2008 Funda Wang <fwang@mandriva.org> 2.1.5-1mdv2009.0
+ Revision: 229944
- New version 2.1.5

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 2.1.4-1mdv2009.0
+ Revision: 200636
- fix ggz-gtk-client devel package name

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Feb 01 2008 Funda Wang <fwang@mandriva.org> 2.1.3-1mdv2008.1
+ Revision: 161008
- New version 2.1.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.1-1mdv2008.1
+ Revision: 113770
- update to new version 2.1.1

* Sun Nov 11 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.0-2mdv2008.1
+ Revision: 107952
- decompressed additional sources
- fix wrapper perms (fix bug#35451)

* Wed Nov 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.0-1mdv2008.1
+ Revision: 106825
- sanitize perms
- use upstream icons
- new version

* Mon Sep 17 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.9-3mdv2008.0
+ Revision: 89330
- reintroduce configure2_5x
- drop duplicate category in desktop file
- set optimzation to -O1 to fix bug #33680

* Sat Sep 01 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.9-2mdv2008.0
+ Revision: 77707
- drop old menu
- configure2_5x is no more

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Sun Feb 18 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.9-1mdv2007.0
+ Revision: 122382
- 2.0.9
- regenerate P0
- Import freeciv

* Wed Sep 20 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.8-5mdv2007.0
- rebuild

* Fri Aug 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.8-4mdv2007.0
- fix so that we use the icon we supply in the xdg menu (P2)

* Tue Aug 15 2006 Götz Waschk <waschk@mandriva.org> 2.0.8-3mdv2007.0
- fix buildrequires

* Mon Jul 31 2006 Emmanuel Andry <eandry@mandriva.org> 2.0.8-2mdv2007.0
- xdg menu

* Mon Mar 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.8-1mdk
- New release 2.0.8

* Mon Nov 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.7-1mdk
- New release 2.0.7

* Sat Oct 01 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.6-1mdk
- 2.0.6

* Tue Aug 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.4-2mdk
- fix problem with translations not being used (P0 from debian, fixes #15720)
- show in the caravan dialog how many shields remain to have a wonder built (P1 from debian)
- fix requires-on-release
- make client require server as it's required for single player games

* Fri Aug 05 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.4-1mdk
- New release 2.0.4

* Fri Aug 05 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.3-2mdk
- Rebuild

* Fri Jul 22 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.3-1mdk
- 2.0.3

* Fri Jul 08 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.2-1mdk
- 2.0.2

* Mon May 02 2005 Nicolas Chipaux <chipaux@mandriva.com> 2.0.1-1mdk
- 2.0.1

* Tue Apr 19 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.0-1mdk
- 2.0.0
- %%mkrel

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.14.2-2mdk
- rebuild for new readline

* Mon Nov 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.14.2-1mdk
- 1.14.2
- drop Packager tag

